FROM openshift/golang-builder:1.11 AS builder
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=22 OS_GIT_VERSION=4.2.22-202003020552-1be922d OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=1be922de56a99f4e254eb9c2fc42d30e5596cf77 SOURCE_GIT_TAG=1be922d SOURCE_GIT_URL=https://github.com/openshift/images SOURCE_DATE_EPOCH=1565637584 OS_GIT_COMMIT=1be922d BUILD_VERSION=v4.2.22 BUILD_RELEASE=202003020552
WORKDIR /go/src/github.com/openshift/images
COPY . .
RUN CGO_ENABLED=0 go build -installsuffix=cgo -o pod/bin/pod ./pod

FROM openshift/ose-base:v4.2.22.20200302.055253
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=22 OS_GIT_VERSION=4.2.22-202003020552-1be922d OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=1be922de56a99f4e254eb9c2fc42d30e5596cf77 SOURCE_GIT_TAG=1be922d SOURCE_GIT_URL=https://github.com/openshift/images SOURCE_DATE_EPOCH=1565637584 OS_GIT_COMMIT=1be922d BUILD_VERSION=v4.2.22 BUILD_RELEASE=202003020552
COPY --from=builder /go/src/github.com/openshift/images/pod/bin/pod /usr/bin/
ENTRYPOINT [ "/usr/bin/pod" ]

LABEL \
        io.k8s.display-name="OpenShift Container Platform Pod Infrastructure" \
        io.k8s.description="This is a component of OpenShift Container Platform and holds on to the shared Linux namespaces within a Pod." \
        io.openshift.tags="openshift,pod" \
        License="GPLv2+" \
        vendor="Red Hat" \
        name="openshift/ose-pod" \
        com.redhat.component="openshift-enterprise-pod-container" \
        version="v4.2.22" \
        release="202003020552" \
        io.openshift.build.commit.id="1be922de56a99f4e254eb9c2fc42d30e5596cf77" \
        io.openshift.build.source-location="https://github.com/openshift/images" \
        io.openshift.build.commit.url="https://github.com/openshift/images/commit/1be922de56a99f4e254eb9c2fc42d30e5596cf77"

